package com.interpress_project.modernshare.client.controller.command;

import com.interpress_project.modernshare.client.controller.command.exceptions.CommandException;
import com.interpress_project.modernshare.client.events.LocalViewEvent;
import com.interpress_project.modernshare.client.events.ViewEventType;

public class LocalRefreshCommand extends ISVNCommand {
	/**
	 * LocalRefreshCommand
	 * ローカルPCビューの更新処理
	 */
	public LocalRefreshCommand() {
		super();
	}

	/**
	 * execute
	 */
	public void execute() throws CommandException {
		localViewEventSource.fireEvent(new LocalViewEvent(this, ViewEventType.REFRESH));
	}
}
